Bug 834838 - attempting to update mesa-dri-drivers 8.0.3-1.fc17; requires mesa-dri-filesystem(x86-32)
attempting to update mesa-dri-drivers 8.0.3-1.fc17; requires mesa-dri-filesys...
Status: CLOSED DUPLICATE of bug 827758
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 03:03 EDT by Emil Hallin
Modified: 2014-10-03 10:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-03 10:34:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emil Hallin 2012-06-24 03:03:14 EDT
Description of problem:
cannot update several packages in fc17, traced to updating mesa-dri-drivers; always fails at same point and asks that I submit a bug report, which I am now doing! 

Version-Release number of selected component (if applicable):

8.0.3-1.fc17 mesa-dri-drivers
How reproducible:
always happens

Steps to Reproduce:
1. yum update m*
2.
3.
  
Actual results:
Resolving Dependencies
--> Running transaction check
---> Package m2crypto.x86_64 0:0.21.1-5.fc16 will be updated
---> Package m2crypto.x86_64 0:0.21.1-8.fc17 will be an update
---> Package mercurial.x86_64 0:2.1.2-1.fc17 will be updated
---> Package mercurial.x86_64 0:2.2.2-1.fc17 will be an update
---> Package mesa-dri-drivers.i686 0:7.11.2-3.fc16 will be updated
---> Package mesa-dri-drivers.x86_64 0:8.0.2-8.fc17 will be updated
---> Package mesa-dri-drivers.i686 0:8.0.3-1.fc17 will be an update
--> Processing Dependency: libLLVM-3.0.so for package: mesa-dri-drivers-8.0.3-1.fc17.i686
---> Package mesa-dri-drivers.x86_64 0:8.0.3-1.fc17 will be an update
---> Package mesa-dri-filesystem.x86_64 0:8.0.2-8.fc17 will be updated
---> Package mesa-dri-filesystem.x86_64 0:8.0.3-1.fc17 will be an update
---> Package mock.noarch 0:1.1.21-1.fc17 will be updated
---> Package mock.noarch 0:1.1.22-2.1.fc17 will be an update
---> Package mousetweaks.x86_64 0:3.4.1-2.fc17 will be updated
---> Package mousetweaks.x86_64 0:3.4.2-1.fc17 will be an update
---> Package mysql-embedded.x86_64 0:5.5.23-1.fc17 will be updated
---> Package mysql-embedded.x86_64 0:5.5.24-1.fc17 will be an update
--> Running transaction check
---> Package llvm-libs.i686 0:2.9-10.fc16 will be updated
--> Processing Dependency: llvm-libs = 2.9-10.fc16 for package: llvm-2.9-10.fc16.x86_64
---> Package llvm-libs.x86_64 0:3.0-12.fc17 will be updated
---> Package llvm-libs.i686 0:3.0-13.fc17 will be an update
---> Package llvm-libs.x86_64 0:3.0-13.fc17 will be an update
--> Running transaction check
---> Package llvm.x86_64 0:2.9-10.fc16 will be updated
--> Processing Dependency: llvm = 2.9-10.fc16 for package: llvm-devel-2.9-10.fc16.x86_64
--> Processing Dependency: llvm = 2.9-10.fc16 for package: clang-2.9-10.fc16.x86_64
---> Package llvm.x86_64 0:3.0-13.fc17 will be an update
--> Running transaction check
---> Package clang.x86_64 0:2.9-10.fc16 will be updated
---> Package clang.x86_64 0:3.0-13.fc17 will be an update
---> Package llvm-devel.x86_64 0:2.9-10.fc16 will be updated
---> Package llvm-devel.x86_64 0:3.0-13.fc17 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================
 Package                    Arch          Version                  Repository      Size
========================================================================================
Updating:
 m2crypto                   x86_64        0.21.1-8.fc17            fedora         454 k
 mercurial                  x86_64        2.2.2-1.fc17             updates        2.4 M
 mesa-dri-drivers           i686          8.0.3-1.fc17             updates         12 M
 mesa-dri-drivers           x86_64        8.0.3-1.fc17             updates         11 M
 mesa-dri-filesystem        x86_64        8.0.3-1.fc17             updates         24 k
 mock                       noarch        1.1.22-2.1.fc17          updates        188 k
 mousetweaks                x86_64        3.4.2-1.fc17             updates        1.8 M
 mysql-embedded             x86_64        5.5.24-1.fc17            updates        2.7 M
Updating for dependencies:
 clang                      x86_64        3.0-13.fc17              updates        7.0 M
 llvm                       x86_64        3.0-13.fc17              updates        1.1 M
 llvm-devel                 x86_64        3.0-13.fc17              updates         14 M
 llvm-libs                  i686          3.0-13.fc17              updates        6.1 M
 llvm-libs                  x86_64        3.0-13.fc17              updates        5.9 M

Transaction Summary
========================================================================================
Upgrade  8 Packages (+5 Dependent packages)

Total size: 65 M
Total download size: 5.1 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Download delta size: 901 k
(1/3): mock-1.1.21-1.fc17_1.1.22-2.1.fc17.noarch.drpm            |  54 kB     00:00     
(2/3): mousetweaks-3.4.1-2.fc17_3.4.2-1.fc17.x86_64.drpm         |  87 kB     00:00     
(3/3): mysql-embedded-5.5.23-1.fc17_5.5.24-1.fc17.x86_64.drpm    | 761 kB     00:00     
Finishing rebuild of rpms, from deltarpms
<locally rebuilding deltarpms>                                   | 4.7 MB     00:02     
Presto reduced the update size by 82% (from 4.7 M to 901 k).
Package(s) data still to download: 454 k
m2crypto-0.21.1-8.fc17.x86_64.rpm                                | 454 kB     00:00     
Running Transaction Check
ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum



Expected results:


Additional info:
Comment 1 Emil Hallin 2012-06-24 23:51:49 EDT
turns out that on upgrade from fedora core 16 to 17, a whole bunch of fc16 files were not removed for some strange reason. Discovered by accident that one of them was an fc16 mesa-dri-drivers-8 rpm. removing it fixed the problem and upgrade now almost works. Still working through a similar issue with some perl fc16 rpms that were also left hanging around, and are confusing "yum update".
The upgrade to fc17 was not interrupted; it completed as scheduled but the cleanup was not done.
sorry about this incorrect bug report.
Comment 2 Fedora End Of Life 2013-04-03 12:50:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Valentina Mukhamedzhanova 2014-10-03 10:34:45 EDT

*** This bug has been marked as a duplicate of bug 827758 ***

Note You need to log in before you can comment on or make changes to this bug.